"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _reactRouterDom = require("react-router-dom");

var _styles = require("@material-ui/core/styles");

var _BrowseDemo = require("components/demo/BrowseDemo");

var _BrowseDemo2 = _interopRequireDefault(_BrowseDemo);

var _ConsumptionDemo = require("components/demo/ConsumptionDemo");

var _ConsumptionDemo2 = _interopRequireDefault(_ConsumptionDemo);

var _ConsumptionArtworkDemo = require("components/demo/ConsumptionArtworkDemo");

var _ConsumptionArtworkDemo2 = _interopRequireDefault(_ConsumptionArtworkDemo);

var _ConsumptionAutoDemo = require("components/demo/ConsumptionAutoDemo");

var _ConsumptionAutoDemo2 = _interopRequireDefault(_ConsumptionAutoDemo);

var _DetailsDemo = require("components/demo/DetailsDemo");

var _DetailsDemo2 = _interopRequireDefault(_DetailsDemo);

var _SearchDemo = require("components/demo/SearchDemo");

var _SearchDemo2 = _interopRequireDefault(_SearchDemo);

var _indigo = require("@material-ui/core/colors/indigo");

var _indigo2 = _interopRequireDefault(_indigo);

var _amber = require("@material-ui/core/colors/amber");

var _amber2 = _interopRequireDefault(_amber);

var _TVTypographyConfig = require("./TVTypographyConfig");

var _TVTypographyConfig2 = _interopRequireDefault(_TVTypographyConfig);

require("./App.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var DemoMain = function DemoMain(props) {
  return _react2.default.createElement(
    _react2.default.Fragment,
    null,
    _react2.default.createElement(
      _reactRouterDom.Link,
      { to: "/browse" },
      "Browse Page"
    ),
    _react2.default.createElement("br", null),
    _react2.default.createElement(
      _reactRouterDom.Link,
      { to: "/detail" },
      "Detail Page"
    ),
    _react2.default.createElement("br", null),
    _react2.default.createElement(
      _reactRouterDom.Link,
      { to: "/media" },
      "Consumption Page"
    ),
    _react2.default.createElement("br", null),
    " ",
    _react2.default.createElement(
      _reactRouterDom.Link,
      { to: "/mediaArtwork" },
      "Consumption with Artwork Page"
    ),
    _react2.default.createElement("br", null),
    _react2.default.createElement(
      _reactRouterDom.Link,
      { to: "/auto/media" },
      "Consumption Auto Page"
    ),
    _react2.default.createElement("br", null),
    _react2.default.createElement(
      _reactRouterDom.Link,
      { to: "/search" },
      "Search Page"
    ),
    _react2.default.createElement("br", null)
  );
};

var App = function (_Component) {
  _inherits(App, _Component);

  function App(props) {
    _classCallCheck(this, App);

    var _this = _possibleConstructorReturn(this, (App.__proto__ || Object.getPrototypeOf(App)).call(this, props));

    _this.onResize = function (evt) {
      _this.setState({ ih: window.innerHeight });
    };

    _this.state = { ih: window.innerHeight };
    return _this;
  }

  _createClass(App, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      window.addEventListener("resize", this.onResize);
    }
  }, {
    key: "render",
    value: function render() {
      var ih = this.state.ih;


      var defaultTheme = (0, _styles.createMuiTheme)({ typography: { useNextVariants: true } });

      var _getTypographyConfig = (0, _TVTypographyConfig2.default)(defaultTheme),
          typography = _getTypographyConfig.typography,
          overrides = _getTypographyConfig.overrides;

      var theme = (0, _styles.createMuiTheme)({ typography: typography, overrides: overrides });

      return _react2.default.createElement(
        _styles.MuiThemeProvider,
        { theme: theme },
        _react2.default.createElement(
          "div",
          { className: "App" },
          _react2.default.createElement(
            _reactRouterDom.HashRouter,
            { basename: "/" },
            _react2.default.createElement(
              _react2.default.Fragment,
              null,
              _react2.default.createElement(_reactRouterDom.Route, { exact: true, path: "/", component: DemoMain }),
              _react2.default.createElement(_reactRouterDom.Route, { path: "/browse", component: _BrowseDemo2.default }),
              _react2.default.createElement(_reactRouterDom.Route, { path: "/detail", component: _DetailsDemo2.default }),
              _react2.default.createElement(_reactRouterDom.Route, { path: "/media", component: _ConsumptionDemo2.default }),
              _react2.default.createElement(_reactRouterDom.Route, { path: "/mediaArtwork", component: _ConsumptionArtworkDemo2.default }),
              _react2.default.createElement(_reactRouterDom.Route, { path: "/auto/media", component: _ConsumptionAutoDemo2.default }),
              _react2.default.createElement(_reactRouterDom.Route, { path: "/search", component: _SearchDemo2.default })
            )
          )
        )
      );
    }
  }]);

  return App;
}(_react.Component);

exports.default = App;
module.exports = exports.default;