"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Grid = require("@material-ui/core/Grid");

var _Grid2 = _interopRequireDefault(_Grid);

var _GridList = require("@material-ui/core/GridList");

var _GridList2 = _interopRequireDefault(_GridList);

var _Drawer = require("@material-ui/core/Drawer");

var _Drawer2 = _interopRequireDefault(_Drawer);

var _Paper = require("@material-ui/core/Paper");

var _Paper2 = _interopRequireDefault(_Paper);

var _Button = require("@material-ui/core/Button");

var _Button2 = _interopRequireDefault(_Button);

var _Fab = require("@material-ui/core/Fab");

var _Fab2 = _interopRequireDefault(_Fab);

var _List = require("@material-ui/core/List");

var _List2 = _interopRequireDefault(_List);

var _ListItem = require("@material-ui/core/ListItem");

var _ListItem2 = _interopRequireDefault(_ListItem);

var _ListItemText = require("@material-ui/core/ListItemText");

var _ListItemText2 = _interopRequireDefault(_ListItemText);

var _Typography = require("@material-ui/core/Typography");

var _Typography2 = _interopRequireDefault(_Typography);

var _styles = require("@material-ui/core/styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var styles = function styles(theme) {
  return {
    drawer: {},
    drawerPaperCollapsed: {
      background: theme.palette.secondary.dark,
      color: "white",
      width: 15, // "calc(5% + 25px)",
      paddingTop: "calc(5% + 56px)",
      paddingLeft: "5%",
      paddingBottom: "5%",
      paddingRight: "2em",
      textAlign: "left"
    },
    drawerPaper: {
      background: theme.palette.secondary.dark,
      color: "white",
      width: "20%",
      paddingTop: "calc(5% + 106px)",
      paddingLeft: "5%",
      paddingBottom: "5%",
      paddingRight: "2em",
      textAlign: "left",
      overflow: "scroll"
    },
    mainPaperFull: _defineProperty({
      // backgroundColor: "#424242",
      color: "white",
      height: window.innerHeight,
      paddingTop: "5%",
      paddingLeft: "calc(5% + 50px + 4em)",
      paddingBottom: "5%",
      paddingRight: "5%",
      textAlign: "left",
      overflow: "scroll"
    }, "height", "90%"),
    mainPaper: _defineProperty({
      // backgroundColor: "#424242",
      color: "white",
      height: window.innerHeight,
      paddingTop: "5%",
      paddingLeft: "calc(25% + 4em)",
      paddingBottom: "5%",
      paddingRight: "5%",
      textAlign: "left",
      overflow: "scroll"
    }, "height", "90%"),
    fab: {
      position: "absolute",
      top: "calc(5% + 48px)",
      left: "5%",
      zIndex: 2400,
      height: 96,
      width: 96
    },
    icon: {},
    header: {
      textAlign: "right",
      verticalAlign: "top"
    }
  };
};

var Browse = function (_Component) {
  _inherits(Browse, _Component);

  function Browse() {
    _classCallCheck(this, Browse);

    return _possibleConstructorReturn(this, (Browse.__proto__ || Object.getPrototypeOf(Browse)).apply(this, arguments));
  }

  _createClass(Browse, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          items = _props.items,
          fab = _props.fab,
          label = _props.label,
          drawerCollapsed = _props.drawerCollapsed,
          selectedItem = _props.selectedItem;

      var FabIcon = fab.icon;
      var drawerChildren = [];
      var mainChildren = [];
      // const drawerChildren = drawerCollapsed ? null : (
      //     <span>Drawer Contents</span>
      // );
      var drawerPaperClassname = drawerCollapsed ? classes.drawerPaperCollapsed : classes.drawerPaper;
      var paperClassname = drawerCollapsed ? classes.mainPaperFull : classes.mainPaper;

      console.warn(items, selectedItem);
      var idx = -1;
      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = undefined;

      try {
        for (var _iterator = items[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var i = _step.value;

          idx++;
          if (idx < selectedItem) continue;
          var _label = i.label;
          var component = i.component;
          if (!drawerCollapsed) {
            drawerChildren.push(_react2.default.createElement(
              _ListItem2.default,
              { key: _label, style: { paddingLeft: 0 }, button: true },
              _react2.default.createElement(_ListItemText2.default, {
                primaryTypographyProps: { variant: "h5" },
                primary: _label
              })
            ));
          } else {
            mainChildren.push(_react2.default.createElement(
              _Typography2.default,
              { key: _label, variant: "h5" },
              _label
            ));
          }
          mainChildren.push(component);
          mainChildren.push(_react2.default.createElement("br", { key: _label + 'br' }));
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }

      return _react2.default.createElement(
        _react2.default.Fragment,
        null,
        _react2.default.createElement(
          _Drawer2.default,
          {
            variant: "permanent",
            classes: {
              root: classes.drawer,
              paper: drawerPaperClassname
            },
            anchor: "left"
          },
          _react2.default.createElement(
            _List2.default,
            { style: { paddingLeft: 0 } },
            drawerChildren
          )
        ),
        _react2.default.createElement(
          _Paper2.default,
          {
            classes: {
              root: paperClassname
            }
          },
          _react2.default.createElement(
            _Typography2.default,
            { variant: "h5", className: classes.header },
            label
          ),
          mainChildren
        ),
        _react2.default.createElement(
          _Fab2.default,
          {
            color: "primary",
            className: classes.fab,
            "aria-label": fab.ariaLabel
          },
          _react2.default.createElement(FabIcon, { className: classes.icon, fontSize: "large" })
        )
      );
    }
  }]);

  return Browse;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(Browse);
module.exports = exports.default;