"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Card = require("@material-ui/core/Card");

var _Card2 = _interopRequireDefault(_Card);

var _Grid = require("@material-ui/core/Grid");

var _Grid2 = _interopRequireDefault(_Grid);

var _Typography = require("@material-ui/core/Typography");

var _Typography2 = _interopRequireDefault(_Typography);

var _styles = require("@material-ui/core/styles");

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  // console.log(theme);
  var h2Rem = parseFloat(theme.typography.h2.fontSize);
  var h2LH = theme.typography.h2.lineHeight;
  var h2Height = (h2Rem * 16 * h2LH + 2) * 2;
  // console.warn('h2', h2Rem, h2LH, h2Height);

  var h5Rem = parseFloat(theme.typography.h5.fontSize);
  var h5LH = theme.typography.h5.lineHeight;
  var h5Height = (h5Rem * 16 * h5LH + 2) * 2;
  // console.warn('h5', h5Rem, h5LH, h5Height);

  return {
    title: {
      textAlign: "left",
      marginLeft: 8,
      maxHeight: h2Height,
      overflowY: 'hidden'
      // position: "fixed",
      // left: "15%"
      // bottom: "41%",
      // zIndex: "100"
    },
    subtitle: {
      textAlign: "left",
      marginLeft: 8,
      maxHeight: h5Height,
      overflowY: 'hidden'
      // position: "fixed",
      // left: "15%"
      // // bottom: "35%",
      // zIndex: "100"
    },
    card: {
      position: "fixed",
      width: "80%",
      bottom: "20%",
      left: "10%",
      zIndex: "100",
      flexGrow: 1,
      boxShadow: 'none',
      background: 'rgba(66,66,66,0.36)'
    },
    footer: {
      position: "fixed",
      width: "80%",
      bottom: "10%",
      left: "10%",
      zIndex: "100"
    },
    caption: {
      // position: "relative",
      // top: "-.5em"
      marginTop: "4px"
    },
    left: {
      textAlign: "left",
      marginLeft: 8
    },
    right: {
      textAlign: "right",
      marginRight: 8
    }
  };
};

var ConsumptionArtwork = function (_Component) {
  _inherits(ConsumptionArtwork, _Component);

  function ConsumptionArtwork() {
    _classCallCheck(this, ConsumptionArtwork);

    return _possibleConstructorReturn(this, (ConsumptionArtwork.__proto__ || Object.getPrototypeOf(ConsumptionArtwork)).apply(this, arguments));
  }

  _createClass(ConsumptionArtwork, [{
    key: "render",
    value: function render() {
      var _props = this.props,
          classes = _props.classes,
          _props$buttons = _props.buttons,
          buttons = _props$buttons === undefined ? [] : _props$buttons,
          progress = _props.progress,
          title = _props.title,
          subtitle = _props.subtitle,
          _props$footerButtons = _props.footerButtons,
          footerButtons = _props$footerButtons === undefined ? [] : _props$footerButtons,
          leftValue = _props.leftValue,
          rightValue = _props.rightValue,
          artImgUrl = _props.artImgUrl,
          video = _props.video;


      var ih = window.innerHeight;

      return _react2.default.createElement(
        _react2.default.Fragment,
        null,
        video,
        _react2.default.createElement(
          _Card2.default,
          { className: classes.card },
          _react2.default.createElement(
            _Grid2.default,
            { container: true, spacing: 0 },
            _react2.default.createElement(
              _Grid2.default,
              { item: true, xs: 3 },
              _react2.default.createElement("img", { src: artImgUrl, style: { width: "100%", height: "auto" } })
            ),
            _react2.default.createElement(
              _Grid2.default,
              { container: true, item: true, xs: 9 },
              _react2.default.createElement(
                _Grid2.default,
                {
                  item: true,
                  xs: true,
                  container: true,
                  alignItems: "flex-start",
                  direction: "column"
                },
                _react2.default.createElement(
                  _Grid2.default,
                  {
                    item: true,
                    xs: true,
                    container: true,
                    alignItems: "flex-start",
                    direction: "column",
                    justify: "flex-end"
                  },
                  _react2.default.createElement(
                    _Grid2.default,
                    { item: true },
                    _react2.default.createElement(
                      _Typography2.default,
                      { variant: "h2", className: classes.title },
                      title
                    )
                  ),
                  _react2.default.createElement(
                    _Grid2.default,
                    { item: true },
                    _react2.default.createElement(
                      _Typography2.default,
                      { variant: "h5", className: classes.subtitle },
                      subtitle
                    )
                  )
                ),
                _react2.default.createElement(
                  _Grid2.default,
                  {
                    spacing: 0,
                    container: true,
                    item: true,
                    justify: "center",
                    alignItems: "flex-start"
                  },
                  _react2.default.createElement(
                    _Grid2.default,
                    { item: true, xs: 12, style: { marginLeft: 8, marginRight: 8 } },
                    progress
                  ),
                  _react2.default.createElement(
                    _Grid2.default,
                    { item: true, xs: true },
                    _react2.default.createElement(
                      _Typography2.default,
                      {
                        variant: "caption",
                        className: (0, _classnames2.default)(classes.left, classes.caption),
                        style: { marginTop: ih > 1070 ? -25 : ih > 595 ? -5 : 0 }
                      },
                      leftValue
                    )
                  ),
                  buttons.map(function (b, i) {
                    return _react2.default.createElement(
                      _Grid2.default,
                      { item: true, key: i, xs: true },
                      b
                    );
                  }),
                  _react2.default.createElement(
                    _Grid2.default,
                    { item: true, xs: true },
                    _react2.default.createElement(
                      _Typography2.default,
                      {
                        variant: "caption",
                        className: (0, _classnames2.default)(classes.right, classes.caption),
                        style: { marginTop: ih > 1070 ? -25 : ih > 595 ? -5 : 0 }
                      },
                      rightValue
                    )
                  )
                )
              )
            )
          )
        ),
        _react2.default.createElement(
          "div",
          { style: { flexGrow: 1 } },
          _react2.default.createElement(
            _Grid2.default,
            { container: true, className: classes.footer },
            _react2.default.createElement(_Grid2.default, { item: true, xs: 3 }),
            _react2.default.createElement(
              _Grid2.default,
              { item: true, xs: 9, container: true },
              _react2.default.createElement(_Grid2.default, { item: true, xs: true }),
              footerButtons.map(function (b, i) {
                return _react2.default.createElement(
                  _Grid2.default,
                  { item: true, xs: 2, key: i },
                  b
                );
              }),
              _react2.default.createElement(_Grid2.default, { item: true, xs: true })
            )
          )
        )
      );
    }
  }]);

  return ConsumptionArtwork;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(ConsumptionArtwork);
module.exports = exports.default;