"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Grid = require("@material-ui/core/Grid");

var _Grid2 = _interopRequireDefault(_Grid);

var _Card = require("@material-ui/core/Card");

var _Card2 = _interopRequireDefault(_Card);

var _CardContent = require("@material-ui/core/CardContent");

var _CardContent2 = _interopRequireDefault(_CardContent);

var _CardMedia = require("@material-ui/core/CardMedia");

var _CardMedia2 = _interopRequireDefault(_CardMedia);

var _Typography = require("@material-ui/core/Typography");

var _Typography2 = _interopRequireDefault(_Typography);

var _styles = require("@material-ui/core/styles");

var _IconButton = require("@material-ui/core/IconButton");

var _IconButton2 = _interopRequireDefault(_IconButton);

var _MoreVert = require("@material-ui/icons/MoreVert");

var _MoreVert2 = _interopRequireDefault(_MoreVert);

var _classnames = require("classnames");

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var styles = function styles(theme) {
  return {

    title: {
      textAlign: 'left'
    },
    subtitle: {
      textAlign: 'left'
    },
    contentCard: {
      marginTop: 'auto'
    },
    cover: {
      maxWidth: '400px',
      maxHeight: '400px',
      width: '100%',
      height: 'auto'
    },
    art: {
      //     display: 'inline',
      // width: '50%',
      // marginRight: '3%',
      // verticalAlign: 'bottom'
    },

    controls: {},
    caption: {
      position: 'absolute',
      marginTop: ".5em"
    },
    left: {
      marginLeft: "1em"
    },
    right: {
      textAlign: 'right',
      right: "1em"
    },

    contentLayout: {
      display: 'flex',
      left: '0px',
      right: '0px',
      marginLeft: '3%',
      marginRight: '3%',
      flexDirection: 'column'
    },
    controlsLayout: {
      position: 'absolute',
      bottom: '10%',
      width: "94%",
      marginRight: "3%",
      marginLeft: "3%"
    }
  };
};

var ConsumptionAuto = function (_Component) {
  _inherits(ConsumptionAuto, _Component);

  function ConsumptionAuto(props) {
    _classCallCheck(this, ConsumptionAuto);

    var _this = _possibleConstructorReturn(this, (ConsumptionAuto.__proto__ || Object.getPrototypeOf(ConsumptionAuto)).call(this, props));

    _this.showFirstButtons = function () {
      _this.setState({ showingSecondButtons: false });
    };

    _this.showSecondButtons = function () {
      _this.setState({ showingSecondButtons: true });
    };

    _this.adjustThings = function () {
      var $e = document.getElementById.bind(document);
      var content = $e('contentCard');
      var art = $e('artCard');
      var controls = $e('controlsCard');

      // console.log(controls.getBoundingClientRect());
      // console.log(controls.offsetTop, content.offsetHeight);
      content.style.height = controls.offsetTop + "px";

      // content.style.top = (controls.offsetTop - content.offsetHeight) + "px";
      // console.log(getComputedStyle(content).height);
    };

    _this.state = {
      showingSecondButtons: false
    };
    return _this;
  }

  _createClass(ConsumptionAuto, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.adjustThings();
      window.addEventListener('resize', this.adjustThings);
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      window.removeEventListener('resize', this.adjustThings);
    }
  }, {
    key: "render",
    value: function render() {
      var ih = window.innerHeight;
      var iw = window.innerWidth;
      var _props = this.props,
          classes = _props.classes,
          buttonClasses = _props.buttonClasses,
          _props$firstActionBut = _props.firstActionButtons,
          firstActionButtons = _props$firstActionBut === undefined ? [] : _props$firstActionBut,
          progress = _props.progress,
          title = _props.title,
          subtitle = _props.subtitle,
          _props$secondActionBu = _props.secondActionButtons,
          secondActionButtons = _props$secondActionBu === undefined ? [] : _props$secondActionBu,
          leftValue = _props.leftValue,
          rightValue = _props.rightValue,
          art = _props.art,
          artSize = _props.artSize;
      var showingSecondButtons = this.state.showingSecondButtons;


      var buttonClass = ih > 700 ? buttonClasses.button3 : ih > 395 ? buttonClasses.button2 : buttonClasses.button1;
      var iconClass = ih > 700 ? buttonClasses.icon3 : ih > 395 ? buttonClasses.icon2 : buttonClasses.icon1;

      var firstMoreButton = _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Toggle", onClick: this.showSecondButtons },
        _react2.default.createElement(_MoreVert2.default, { className: iconClass })
      );

      var secondMoreButton = _react2.default.createElement(
        _IconButton2.default,
        { className: buttonClass, "aria-label": "Toggle", onClick: this.showFirstButtons },
        _react2.default.createElement(_MoreVert2.default, { className: iconClass })
      );

      // TODO: add the toggle for each
      var firstButtons = firstActionButtons.concat(firstMoreButton);
      var secondButtons = secondActionButtons.concat(secondMoreButton);
      var buttons = showingSecondButtons ? secondButtons : firstButtons;
      /*
      <CardMedia
        className={classes.cover}
        image={art}
      />*/
      var contentCard = _react2.default.createElement(
        _Card2.default,
        { className: classes.contentCard },
        _react2.default.createElement(
          _Typography2.default,
          { variant: "h6", className: classes.title },
          title
        ),
        _react2.default.createElement(
          _Typography2.default,
          { variant: "subtitle1", className: classes.subtitle },
          subtitle
        )
      );

      var controlsCard = _react2.default.createElement(
        _Card2.default,
        { className: classes.controls },
        progress,
        _react2.default.createElement(
          _Typography2.default,
          { variant: "caption", className: (0, _classnames2.default)(classes.left, classes.caption) },
          leftValue
        ),
        _react2.default.createElement(
          _Typography2.default,
          { variant: "caption", className: (0, _classnames2.default)(classes.right, classes.caption) },
          rightValue
        ),
        _react2.default.createElement(
          "div",
          { className: classes.controls },
          buttons.map(function (b, i) {
            return _react2.default.createElement(
              _react2.default.Fragment,
              { key: i },
              b
            );
          })
        )
      );
      return _react2.default.createElement(
        "div",
        null,
        _react2.default.createElement(
          "div",
          { id: "contentCard", className: classes.contentLayout },
          contentCard
        ),
        _react2.default.createElement(
          "div",
          { id: "controlsCard", className: classes.controlsLayout },
          controlsCard
        )
      );
    }
  }]);

  return ConsumptionAuto;
}(_react.Component);

exports.default = (0, _styles.withStyles)(styles)(ConsumptionAuto);
module.exports = exports.default;