import React, { Component } from "react";

import Grid from "@material-ui/core/Grid";
import GridList from "@material-ui/core/GridList";
import Drawer from "@material-ui/core/Drawer";
import Paper from "@material-ui/core/Paper";
import Button from "@material-ui/core/Button";
import Fab from "@material-ui/core/Fab";
import List from "@material-ui/core/List";
import ListItem from "@material-ui/core/ListItem";
import ListItemText from "@material-ui/core/ListItemText";
import Typography from "@material-ui/core/Typography";
import { withStyles } from "@material-ui/core/styles";

const styles = theme => ({
  drawer: {},
  drawerPaperCollapsed: {
    background: theme.palette.secondary.dark,
    color: "white",
    width: 15, // "calc(5% + 25px)",
    paddingTop: "calc(5% + 56px)",
    paddingLeft: "5%",
    paddingBottom: "5%",
    paddingRight: "2em",
    textAlign: "left"
  },
  drawerPaper: {
    background: theme.palette.secondary.dark,
    color: "white",
    width: "20%",
    paddingTop: "calc(5% + 106px)",
    paddingLeft: "5%",
    paddingBottom: "5%",
    paddingRight: "2em",
    textAlign: "left",
    overflow: "scroll"
  },
  mainPaperFull: {
    // backgroundColor: "#424242",
    color: "white",
    height: window.innerHeight,
    paddingTop: "5%",
    paddingLeft: "calc(5% + 50px + 4em)",
    paddingBottom: "5%",
    paddingRight: "5%",
    textAlign: "left",
    overflow: "scroll",
    height: "90%"
  },
  mainPaper: {
    // backgroundColor: "#424242",
    color: "white",
    height: window.innerHeight,
    paddingTop: "5%",
    paddingLeft: "calc(25% + 4em)",
    paddingBottom: "5%",
    paddingRight: "5%",
    textAlign: "left",
    overflow: "scroll",
    height: "90%"
  },
  fab: {
    position: "absolute",
    top: "calc(5% + 48px)",
    left: "5%",
    zIndex: 2400,
    height: 96,
    width: 96
  },
  icon: {},
  header: {
    textAlign: "right",
    verticalAlign: "top"
  }
});

class Browse extends Component {
  render() {
    const { classes, items, fab, label, drawerCollapsed, selectedItem } = this.props;
    const FabIcon = fab.icon;
    let drawerChildren = [];
    let mainChildren = [];
    // const drawerChildren = drawerCollapsed ? null : (
    //     <span>Drawer Contents</span>
    // );
    const drawerPaperClassname = drawerCollapsed
      ? classes.drawerPaperCollapsed
      : classes.drawerPaper;
    const paperClassname = drawerCollapsed
      ? classes.mainPaperFull
      : classes.mainPaper;

    console.warn(items, selectedItem);
    var idx = -1;
    for (const i of items) {
      idx++;
      if (idx < selectedItem) continue;
      const label = i.label;
      const component = i.component;
      if (!drawerCollapsed) {
        drawerChildren.push(
          <ListItem key={label} style={{paddingLeft: 0}} button={true}>
            <ListItemText
              primaryTypographyProps={{ variant: "h5" }}
              primary={label}
            />
          </ListItem>
        );
      } else {
        mainChildren.push(
          <Typography key={label} variant="h5">
            {label}
          </Typography>
        );
      }
      mainChildren.push(component);
      mainChildren.push((<br key={label+'br'}/>));
    }

    return (
      <React.Fragment>
        <Drawer
          variant="permanent"
          classes={{
            root: classes.drawer,
            paper: drawerPaperClassname
          }}
          anchor="left"
        >
          <List style={{paddingLeft: 0}}>{drawerChildren}</List>
        </Drawer>
        <Paper
          classes={{
            root: paperClassname
          }}
        >
          <Typography variant="h5" className={classes.header}>
            {label}
          </Typography>
          {mainChildren}
        </Paper>
        <Fab
          color="primary"
          className={classes.fab}
          aria-label={fab.ariaLabel}
        >
          <FabIcon className={classes.icon} fontSize="large" />
        </Fab>
      </React.Fragment>
    );
  }
}

export default withStyles(styles)(Browse);
