import React, { Component } from "react";

import Card from "@material-ui/core/Card";
import Grid from "@material-ui/core/Grid";
import Typography from "@material-ui/core/Typography";
import { withStyles } from "@material-ui/core/styles";

import classNames from "classnames";

const styles = theme => ({
  title: {
    textAlign: "left"
    // position: "fixed",
    // left: "15%",
    // bottom: "41%",
    // zIndex: "100"
  },
  subtitle: {
    textAlign: "left"
    // position: "fixed",
    // left: "15%",
    // bottom: "35%",
    // zIndex: "100"
  },
  card: {
    position: "fixed",
    width: "70%",
    bottom: "20%",
    left: "15%",
    zIndex: "100"
  },
  footer: {
    position: "fixed",
    width: "70%",
    bottom: "10%",
    left: "15%",
    zIndex: "100"
  },
  caption: {
    // position: "absolute",
    top: ".5em"
  },
  left: {
    left: "1em"
  },
  right: {
    right: "1em"
  }
});

class Consumption extends Component {
  render() {
    const {
      classes,
      buttons = [],
      progress,
      title,
      subtitle,
      footerButtons = [],
      leftValue,
      rightValue,
      video
    } = this.props;
    // console.log(this.props);

    return (
      <React.Fragment>
        {video}
        <div className={classes.card}>
          <Grid
            container
            alignItems="flex-start"
            direction="column"
            justify="flex-end"
          >
            <Grid item>
              <Typography variant="h2" className={classes.title}>
                {title}
              </Typography>
            </Grid>
            <Grid item>
              <Typography variant="h5" className={classes.subtitle}>
                {subtitle}
              </Typography>
            </Grid>
          </Grid>
          <Card className={classes.cardx}>
            {progress}
            <Grid container justify="center" alignItems="center">
              <Grid item xs>
                <Typography
                  variant="caption"
                  className={classNames(classes.left, classes.caption)}
                >
                  {leftValue}
                </Typography>
              </Grid>
              {buttons.map((b, i) => {
                return (
                  <Grid item key={i} xs>
                    {b}
                  </Grid>
                );
              })}
              <Grid item xs>
                <Typography
                  variant="caption"
                  className={classNames(classes.right, classes.caption)}
                >
                  {rightValue}
                </Typography>
              </Grid>
            </Grid>
          </Card>
        </div>
        <Grid container className={classes.footer}>
          <Grid item xs />
          {footerButtons.map((b, i) => {
            return (
              <Grid item xs={2} key={i}>
                {b}
              </Grid>
            );
          })}
          <Grid item xs />
        </Grid>
      </React.Fragment>
    );
  }
}

export default withStyles(styles)(Consumption);
