import React, { Component } from "react";

import Card from "@material-ui/core/Card";
import Grid from "@material-ui/core/Grid";
import Typography from "@material-ui/core/Typography";
import { withStyles } from "@material-ui/core/styles";

import classNames from "classnames";

const styles = theme => {
// console.log(theme);
  const h2Rem = parseFloat(theme.typography.h2.fontSize);
  const h2LH = theme.typography.h2.lineHeight;
  const h2Height = (((h2Rem * 16) * h2LH) + 2) * 2;
  // console.warn('h2', h2Rem, h2LH, h2Height);

  const h5Rem = parseFloat(theme.typography.h5.fontSize);
  const h5LH = theme.typography.h5.lineHeight;
  const h5Height = (((h5Rem * 16) * h5LH) + 2) * 2;
  // console.warn('h5', h5Rem, h5LH, h5Height);

  return {
  title: {
    textAlign: "left",
    marginLeft: 8,
    maxHeight: h2Height,
    overflowY: 'hidden'
    // position: "fixed",
    // left: "15%"
    // bottom: "41%",
    // zIndex: "100"
  },
  subtitle: {
    textAlign: "left",
    marginLeft: 8,
    maxHeight: h5Height,
    overflowY: 'hidden'
    // position: "fixed",
    // left: "15%"
    // // bottom: "35%",
    // zIndex: "100"
  },
  card: {
    position: "fixed",
    width: "80%",
    bottom: "20%",
    left: "10%",
    zIndex: "100",
    flexGrow: 1,
    boxShadow: 'none',
    background: 'rgba(66,66,66,0.36)'
  },
  footer: {
    position: "fixed",
    width: "80%",
    bottom: "10%",
    left: "10%",
    zIndex: "100"
  },
  caption: {
    // position: "relative",
    // top: "-.5em"
    marginTop: "4px"
  },
  left: {
    textAlign: "left",
    marginLeft: 8
  },
  right: {
    textAlign: "right",
    marginRight: 8
  }
}};

class ConsumptionArtwork extends Component {
  render() {
    const {
      classes,
      buttons = [],
      progress,
      title,
      subtitle,
      footerButtons = [],
      leftValue,
      rightValue,
      artImgUrl,
      video
    } = this.props;

    const ih = window.innerHeight;

    return (
      <React.Fragment>
        {video}
        <Card className={classes.card}>
          <Grid container spacing={0}>
            <Grid item xs={3}>
              <img src={artImgUrl} style={{ width: "100%", height: "auto" }} />
            </Grid>

            <Grid container item xs={9}>
              <Grid
                item
                xs
                container
                alignItems="flex-start"
                direction="column"
              >
                <Grid
                  item
                  xs
                  container
                  alignItems="flex-start"
                  direction="column"
                  justify="flex-end"
                >
                  <Grid item>
                    <Typography variant="h2" className={classes.title}>
                      {title}
                    </Typography>
                  </Grid>
                  <Grid item>
                    <Typography variant="h5" className={classes.subtitle}>
                      {subtitle}
                    </Typography>
                  </Grid>
                </Grid>

                <Grid
                  spacing={0}
                  container
                  item
                  justify="center"
                  alignItems="flex-start"
                >
                  <Grid item xs={12} style={{marginLeft: 8, marginRight: 8}}>
                    {progress}
                  </Grid>
                  <Grid item xs>
                    <Typography
                      variant="caption"
                      className={classNames(classes.left, classes.caption)}
                      style={{marginTop: ih > 1070 ? -25 : ih > 595 ? -5 : 0}}
                    >
                      {leftValue}
                    </Typography>
                  </Grid>
                  {buttons.map((b, i) => {
                    return (
                      <Grid item key={i} xs>
                        {b}
                      </Grid>
                    );
                  })}
                  <Grid item xs>
                    <Typography
                      variant="caption"
                      className={classNames(classes.right, classes.caption)}
                      style={{marginTop: ih > 1070 ? -25 : ih > 595 ? -5 : 0}}
                    >
                      {rightValue}
                    </Typography>
                  </Grid>
                </Grid>
              </Grid>
            </Grid>
          </Grid>
        </Card>
        <div style={{ flexGrow: 1 }}>
          <Grid container className={classes.footer}>
            <Grid item xs={3} />
            <Grid item xs={9} container>
              <Grid item xs />
              {footerButtons.map((b, i) => {
                return (
                  <Grid item xs={2} key={i}>
                    {b}
                  </Grid>
                );
              })}
              <Grid item xs />
            </Grid>
          </Grid>
        </div>
      </React.Fragment>
    );
  }
}

export default withStyles(styles)(ConsumptionArtwork);
