import React, {Component} from "react";
import Toolbar from "@material-ui/core/Toolbar";
import Typography from "@material-ui/core/Typography";

import {withStyles} from "@material-ui/core/styles";

const styles = (theme) => ({
  root: {
    height: "100%",
    width: "100%",
    overflow: 'auto'
  },
  img: {
    position: 'absolute',
    top: 0,
    bottom: "50%",
    left: 0,
    right: 0,
    overflow: 'hidden'
  },
  imgContent: {
    width: "100%",
    height: "auto"
  },
  rest: {
    position: 'absolute',
    top: "40%",
    left: 0,
    right: 0,
    bottom: 0
  },
  buttonRow: {
    backgroundColor: "green"
  },
  buttonRowMain: {
    left: 'calc(10% + 128px + 30px)',
    position: 'absolute'
  },
  detail: {
    width: "100%",
    height: 'calc(100% - 64px)',
    backgroundColor: "blue",
    display: "flex",
    flexDirection: 'column'
  },
  detailItem: {
    flex: "1 1 auto",
    marginTop: "16px"
  },
  image: {
    height: '128px',
    width: 'auto',
    position: 'absolute',
    top: '-48px',
    left: '10%'
  }
});

class Details extends Component {

  render() {
    const {classes, imgUrl, bgImgUrl, mainButtons} = this.props;
    return (<div className={classes.root}>
      <div className={classes.img}>
        <img className={classes.imgContent} src={bgImgUrl}/>
      </div>
      <div className={classes.rest}>
        <Toolbar className={classes.buttonRow}>
          <img className={classes.image} src={imgUrl}/>
          <div className={classes.buttonRowMain}>{mainButtons}</div>
        </Toolbar>
        <div className={classes.detail}>
          <div className={classes.detailItem}>detailrow</div>
        </div>
        <div>offscreencontent</div>
        <div>img</div>
      </div>
    </div>);
  }
}

export default withStyles(styles)(Details);
